--
-- Synopsys
-- Vhdl wrapper for top level design, written on Thu Sep  5 13:08:24 2024
--
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_signed.all;
library work;
use work.mysettings.all;

entity wrapper_for_Top is
   port (
      reset : in std_logic;
      en : in std_logic;
      LED1 : out std_logic;
      LED2 : out std_logic;
      LED3 : out std_logic;
      LED4 : out std_logic;
      TCK : in std_logic;
      TMS : in std_logic;
      TDI : in std_logic;
      TDO : out std_logic
   );
end wrapper_for_Top;

architecture behave of wrapper_for_Top is

component Top
 port (
   reset : in std_logic;
   en : in std_logic;
   LED1 : out std_logic;
   LED2 : out std_logic;
   LED3 : out std_logic;
   LED4 : out std_logic;
   TCK : in std_logic;
   TMS : in std_logic;
   TDI : in std_logic;
   TDO : out std_logic
 );
end component;

signal tmp_reset : std_logic;
signal tmp_en : std_logic;
signal tmp_LED1 : std_logic;
signal tmp_LED2 : std_logic;
signal tmp_LED3 : std_logic;
signal tmp_LED4 : std_logic;
signal tmp_TCK : std_logic;
signal tmp_TMS : std_logic;
signal tmp_TDI : std_logic;
signal tmp_TDO : std_logic;

begin

tmp_reset <= reset;

tmp_en <= en;

LED1 <= tmp_LED1;

LED2 <= tmp_LED2;

LED3 <= tmp_LED3;

LED4 <= tmp_LED4;

tmp_TCK <= TCK;

tmp_TMS <= TMS;

tmp_TDI <= TDI;

TDO <= tmp_TDO;



u1:   Top port map (
		reset => tmp_reset,
		en => tmp_en,
		LED1 => tmp_LED1,
		LED2 => tmp_LED2,
		LED3 => tmp_LED3,
		LED4 => tmp_LED4,
		TCK => tmp_TCK,
		TMS => tmp_TMS,
		TDI => tmp_TDI,
		TDO => tmp_TDO
       );
end behave;
